OptionHandler Class Referenceabstract

A string based interface to configure package components. More...

Inheritance diagram for OptionHandler:

## Public Member Functions

virtual | ~OptionHandler ()
virtual void | activateOptions (log4cxx::helpers::Pool &p)=0
| Activate the options that were previously set with calls to option setters. More...
virtual void | setOption (const LogString &option, const LogString &value)=0
| Set `option` to `value`. More...
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual void | addRef () const =0
virtual void | releaseRef () const =0
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Additional Inherited Members

Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()

## Detailed Description

A string based interface to configure package components.

## Constructor & Destructor Documentation

## ~OptionHandler()

virtual ~OptionHandler | ( |  | ) |

inline virtual

## Member Function Documentation

## activateOptions()

virtual void activateOptions | ( | log4cxx::helpers::Pool & | p | ) |

pure virtual

Activate the options that were previously set with calls to option setters.

This allows to defer activiation of the options until all options have been set. This is required for components which have related options that remain ambigous until all are set.

For example, the FileAppender has the File and Append options both of which are ambigous until the other is also set.

Implemented in PatternLayout, TimeBasedRollingPolicy, DailyRollingFileAppender, ODBCAppender, FileAppender, SocketHubAppender, Filter, AppenderSkeleton, XMLLayout, FilterBasedTriggeringPolicy, ExpressionFilter, RollingFileAppender, TelnetAppender, SMTPAppender, HTMLLayout, WriterAppender, FixedWindowRollingPolicy, RollingPolicyBase, SizeBasedTriggeringPolicy, RollingFileAppenderSkeleton, SimpleLayout, FallbackErrorHandler, SyslogAppender, SocketAppenderSkeleton, OnlyOnceErrorHandler, ManualTriggeringPolicy, ConsoleAppender, LocationInfoFilter, DateLayout, and NTEventLogAppender.

## setOption()

virtual void setOption | ( | const LogString & | option,
|  | const LogString & | value
| ) |  |

pure virtual

Set `option` to `value`.

The handling of each option depends on the OptionHandler instance. Some options may become active immediately whereas other may be activated only when activateOptions is called.

Implemented in PatternLayout, AsyncAppender, DailyRollingFileAppender, WriterAppender, ODBCAppender, FileAppender, SocketAppenderSkeleton, SocketHubAppender, Filter, XMLLayout, AppenderSkeleton, FilterBasedTriggeringPolicy, TelnetAppender, HTMLLayout, RollingFileAppender, SMTPAppender, FixedWindowRollingPolicy, RollingPolicyBase, LevelRangeFilter, SizeBasedTriggeringPolicy, SimpleLayout, FallbackErrorHandler, SyslogAppender, LoggerMatchFilter, LevelMatchFilter, OnlyOnceErrorHandler, StringMatchFilter, ManualTriggeringPolicy, ConsoleAppender, NTEventLogAppender, and DateLayout.

The documentation for this class was generated from the following file:

- optionhandler.h